org.apache.lucene.facet.taxonomy

## Class TaxonomyFacetSumIntAssociations

- java.lang.Object
- - org.apache.lucene.facet.Facets
  - - org.apache.lucene.facet.taxonomy.TaxonomyFacets
    - - org.apache.lucene.facet.taxonomy.IntTaxonomyFacets
      - - org.apache.lucene.facet.taxonomy.TaxonomyFacetSumIntAssociations

-     public class TaxonomyFacetSumIntAssociations
      extends IntTaxonomyFacets

  Aggregates sum of int values previously indexed with `IntAssociationFacetField`, assuming the default encoding.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `config, indexFieldName, parents, taxoReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyFacetSumIntAssociations(String indexFieldName, TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `TaxonomyFacetSumIntAssociations` against the specified index field.
    `TaxonomyFacetSumIntAssociations(TaxonomyReader taxoReader, FacetsConfig config, FacetsCollector fc)` Create `TaxonomyFacetSumIntAssociations` against the default index field.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.IntTaxonomyFacets

      `getSpecificValue, getTopChildren, getValue, increment, increment, rollup, useHashTable`

    - ### Methods inherited from class org.apache.lucene.facet.taxonomy.TaxonomyFacets

      `childrenLoaded, getAllDims, getChildren, getSiblings, siblingsLoaded, verifyDim`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyFacetSumIntAssociations

          public TaxonomyFacetSumIntAssociations(TaxonomyReader taxoReader,
                                                 FacetsConfig config,
                                                 FacetsCollector fc)
                                          throws IOException

      Create `TaxonomyFacetSumIntAssociations` against the default index field.
      Throws:
        `IOException`

    - #### TaxonomyFacetSumIntAssociations

          public TaxonomyFacetSumIntAssociations(String indexFieldName,
                                                 TaxonomyReader taxoReader,
                                                 FacetsConfig config,
                                                 FacetsCollector fc)
                                          throws IOException

      Create `TaxonomyFacetSumIntAssociations` against the specified index field.
      Throws:
        `IOException`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.